Submitted by : 127.0.0.1 at: 2005-02-02T13:21:32+00:00 (12 years ago)
Name :
Category : Severity : Status :
Optional subject :  
Optional comment :

perhaps it's the python, but a define in the Install.py script barfs. Here's the original code commented out (starting from line 106 of Install.py) and the new code below.:

 #    def hasSkin(s): return skinstool.getSkinPath(s) != s
 #    if not hasSkin('Zwiki'):
 #        path = (
 #            hasSkin('Plone Default') and skinstool.getSkinPath('Plone Default')
 #            or hasSkin('CMF Default') and skinstool.getSkinPath('CMF Default')
 #            or None)
    if not (skinstool.getSkinPath('Zwiki') != 'Zwiki'):
        path = (
            (skinstool.getSkinPath('Plone Default') != 'Plone Default') and skinstool.getSkinPath('Plone Default')
            or (skinstool.getSkinPath('CMF Default') != 'CMF Default') and skinstool.getSkinPath('CMF Default')
            or None)


comments:

request for information -- Fri, 04 Feb 2005 14:30:23 -0800 reply
Could you show me the error/traceback you got, and report your python version ? CMF/Plone/Zope versions might be useful too.

why not use newer plone? -- Sat, 05 Feb 2005 18:34:23 -0800 reply
isn't RC2 about a year old?

assuming current zwiki and current plone work --simon, Tue, 22 Mar 2005 07:50:28 -0800 reply
Status: open => closed

... --simon, Wed, 03 May 2006 13:39:18 -0700 reply
Status: open => closed